<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>

<div class="div1">hallo</div>
<div class="div2">hallo</div>
<div class="div3 div2">hallo</div>
<div class="div1 div3">hallo</div>
<div class="div1 div2">hallo</div>
<div class="div2">hallo</div>

<button id="btn">Drück mich</button>

<script>
const div1 = Array.from(document.getElementsByClassName('div1'))
console.log(div1)

const div2 = Array.from(document.querySelectorAll('.div2'))
console.log(div2)

const btn = document.getElementById('btn')
btn.addEventListener('click', function () {
    btn.style.background = "red"
    for(let i = 0; i < div1.length; i++) {
        div1[i].style.background = "green"
    }
    for(let i in div2) {
        console.log('for ... in', i)
        div2[i].style.color = "pink"
    }
    for(let div of div2) {
        console.log('for ... of', div)
    }

})
</script>

</body>
</html>
